<div class="content__panel content__panel-top">
    <mat-card>
        <div class="panel justify-content-between">
            <div class="panel__layout">
                <mat-form-field style="width: 100%; padding: 0;" appearance="fill">
                    <mat-label>Choose company</mat-label>
                    <mat-select [(ngModel)]="selectedCompanyId" (selectionChange)="getEmployees()" >
                      <mat-option [value]="null">
                        All
                      </mat-option>
                      <mat-option *ngFor="let item of companies" [value]="item._id">
                        {{item.name}}
                      </mat-option>
                    </mat-select>
                  </mat-form-field>
            </div>
            <div class="panel__layout">
              <button (click)="openDialog()" mat-flat-button color="primary"><mat-icon>add</mat-icon> Create employee</button>
            </div>
        </div>
    </mat-card>
    
</div>

<div class="content__panel">
    <table style="width: 100%;" class="table mat-elevation-z8">

      <thead>
        <th > No. </th>
        <th > Full name </th>
        <th > Company </th>
        <th > Edit </th>
        <th > Delete </th>
      </thead>

      <tbody>
        <tr *ngFor="let element of dataSource | paginate: { itemsPerPage: pager.pageSize, currentPage: pager.page, totalItems: pager.totalCount }; let i = index; ">

          <td > {{i+1}} </td>
          <td > {{element.firstName}} {{element.lastName}}</td>
          <td > {{element.company.name}} </td>
          <td >  
            <button (click)="openDialog(element)" mat-raised-button color="accent"><mat-icon>edit</mat-icon></button>
           </td>
           <td > 
             <button (click)="deleteEmployee(element)" mat-raised-button color="warn"><mat-icon>delete</mat-icon></button>
         </td>
        </tr>
      </tbody>
    </table>    
</div>

<mat-card>
  <pagination-controls (pageChange)="setPage($event)"
                        screenReaderPageLabel="page">
                        </pagination-controls>
</mat-card>